Name: dia
Version: 0.94
Release: alt9cvs20050730

Summary: A gtk+ based diagram creation program
Summary(ru_RU.KOI8-R):    ,   GTK+

License: GPL
Group: Office
URL: http://www.gnome.org/projects/dia

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/dia/%name-%version.tar.bz2
Source1: %name.menu
Source2: %{name}_icons.tar.bz2
Source3: %name-%version.ru.po
Patch: %name-%version-alt.patch
Patch1: %name-0.94-alt-m4.patch

# Typical environment for GNOME program
#Requires(post): GConf2
Requires(post,postun): scrollkeeper
Requires(post,postun): desktop-file-utils
#BuildPreReq: GConf2
BuildPreReq: desktop-file-utils
BuildPreReq: menu-devel

%add_python_req_skip dia
%add_findprov_lib_path %_libdir/%name

# manually removed: eric gcc-g77 
# Automatically added by buildreq on Sun Mar 20 2005
BuildRequires: ORBit2-devel docbook-utils esound fontconfig-devel freetype2-devel gcc-c++ glib2-devel gnome-vfs2-devel hostinfo libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeprint2-devel libgnomeui-devel libgtk+2-devel libpango-devel libpng-devel libpopt-devel libstdc++-devel libxml2-devel libxslt-devel perl-XML-Parser pkgconfig python-base python-dev python-devel-static python-module-pygtk python-modules-encodings python-modules-xml xorg-x11-devel xorg-x11-libs xorg-x11-locales xsltproc zlib-devel
BuildPreReq: python-devel-static >= %__python_version

#BuildRequires: python-devel-static
BuildPreReq: grep, sed

%description
Dia is a GNU program designed to be much like the Windows
program 'Visio'. It can be used to draw different kind of diagrams.

It can be used to draw a variety of diagram types, including UML, Network,
flowchart and others.  The native file format for Dia is XML (optionally
gzip compressed).  It has print support, and can export to a number of formats such as EPS, SVG, CGM and PNG.

%description -l ru_RU.KOI8-R
Dia --  GNU-,   
Windows- 'Visio'.    
    .

Dia       ,
 UML,   ,  
 .     Dia  XML
(    gzip).
 Dia     ,
  ţ   ,
  EPS, SVG, CGM  PNG.

%package python

Summary: DIA python plugin
Group: Office
Requires: %name = %version-%release

%description python
DIA python plugin

%package gnome

Summary: DIA compiled with GNOME
Group: Office
Requires: %name = %version-%release

%description gnome
DIA compiled with GNOME
flags:
	--enable-unicode --enable-freetype
	--enable-cairo --enable-gnome --enable-bonobo
	--with-gnomeprint --with--python

%prep
%setup -q
%patch -p0
%patch1 -p1
tar xvfj %SOURCE2
cp -f %SOURCE3 po/ru.po

%build
autoreconf -fisv
%configure  \
	--enable-unicode --enable-freetype \
	--enable-db2html --disable-gnome
%make_build

# Save gtk version of dia and libdia
%__mv app/.libs/%name %name-gtk
%__mv lib/.libs/lib%name.so lib%name-gtk.so
(cd doc && make install datadir=buildroot)

subst 's|"dia"|"dia-gnome"|' %name.desktop
subst "s|Editor|Editor for GNOME|" %name.desktop
subst 's|title="Dia"|title="Dia GNOME"|' %name.desktop

%configure  \
	--enable-unicode --enable-freetype \
	--enable-cairo --enable-gnome \
	--enable-bonobo --with-gnomeprint \
	--enable-db2html --with-python 
%make_build

%install
%makeinstall
%__mv %buildroot/%_bindir/%name %buildroot/%_bindir/%name-gnome
%__install %name-gtk %buildroot/%_bindir/%name
%__install lib%name-gtk.so %buildroot/%_libdir/%name/lib%name.so
(cd doc/buildroot/%name && %__cp -rp help %buildroot/%datadir/%name)

# menu
%__mkdir_p %buildroot%_menudir
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name

freedesktop2menu.pl %name-gnome "Office/Graphs" \
	%buildroot%_datadir/applications/%name.desktop \
	%buildroot%_menudir/%name-gnome

mkdir -p $RPM_BUILD_ROOT/%_miconsdir
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
install -m 644 %{name}_16.xpm $RPM_BUILD_ROOT/%_miconsdir/%name.xpm
install -m 644 %{name}_32.xpm $RPM_BUILD_ROOT/%_iconsdir/%name.xpm
install -m 644 %{name}_48.xpm $RPM_BUILD_ROOT/%_liconsdir/%name.xpm

%find_lang %name --with-gnome
%__mv %name.lang %name-gnome.tmp
%find_lang %name
diff -u %name.lang %name-gnome.tmp | grep -v "^++" | grep "^+" | sed -e "s|^+||g" >%name-gnome.lang

%__rm -rf %buildroot%_localstatedir/scrollkeeper

%post
%update_menus

%postun
%clean_menus

%post gnome
%update_menus
%update_scrollkeeper
%update_desktopdb

%postun gnome
%clean_menus
%clean_scrollkeeper
%clean_desktopdb

%files -f %name.lang
%doc README TODO NEWS INSTALL ChangeLog AUTHORS
%_bindir/%name
%_libdir/%name
%_datadir/%name
%_mandir/*/*
%_datadir/pixmaps/*
%_menudir/%name
%_iconsdir/%name.xpm
%_miconsdir/%name.xpm
%_liconsdir/%name.xpm
%exclude %_datadir/%name/python
%exclude %_libdir/%name/libpython*
%exclude %_libdir/%name/libgprint*

%files gnome -f %name-gnome.lang
%_bindir/%name-gnome
%_datadir/applications/*
%_datadir/mime-info/*
%_menudir/%name-gnome
%_libdir/%name/libgprint*

%files python
%_datadir/%name/python
%_libdir/%name/libpython*

%changelog
* Mon Aug 01 2005 Vitaly Lipatov <lav@altlinux.ru> 0.94-alt9cvs20050730
- new CVS snapshot
- fix bug #7075 (broken eps export in non C locale)
- move to dia-gnome some libs linked with gnome

* Fri Jul 08 2005 Vitaly Lipatov <lav@altlinux.ru> 0.94-alt8cvs20050313.1
- x86_64 support from mouse@ (fix bug# 7266)

* Mon Mar 21 2005 Vitaly Lipatov <lav@altlinux.ru> 0.94-alt8cvs20050313
- add buildrequire for python version 2.4

* Sun Mar 20 2005 Vitaly Lipatov <lav@altlinux.ru> 0.94-alt7cvs20050313
- fix SegFault during exit (thanks crux@)
- build with python 2.4

* Sun Mar 13 2005 Vitaly Lipatov <lav@altlinux.ru> 0.94-alt6cvs20050313
- fix bug #2441 (there is new problem with SigFault during exit :( )

* Sun Feb 06 2005 Vitaly Lipatov <lav@altlinux.ru> 0.94-alt5cvs20050205
- CVS version (really only from this build)
- patch for filename encoding issues

* Fri Dec 31 2004 Vitaly Lipatov <lav@altlinux.ru> 0.94-alt4
- fix spec for libdia.so is gtk only compiled

* Sun Dec 26 2004 Vitaly Lipatov <lav@altlinux.ru> 0.94-alt3
- disable GNOME build for main dia package
- add dia-gnome package (with all GNOME dependenses)

* Tue Nov 30 2004 Vitaly Lipatov <lav@altlinux.ru> 0.94-alt2
- disable python support due libpython2.3a missing
- spec file comformed to GNOME program packaging policy
- add patch for encoding issues

* Thu Sep 02 2004 Vitaly Lipatov <lav@altlinux.ru> 0.94-alt1
- release
- remove old patches (upstreamed)
- fixed bug #4938

* Fri Jul 23 2004 Vitaly Lipatov <lav@altlinux.ru> 0.94-alt0.3pre2
- new version (pre2)
- update ru.po
- add patch for fix filedialog's encoding issues

* Sun Jun 20 2004 Vitaly Lipatov <lav@altlinux.ru> 0.93-alt3
- add patch for fix batch mode (bug #2441)
- add patch for recoding console messages

* Sat May 29 2004 Vitaly Lipatov <lav@altlinux.ru> 0.93-alt2
- change URL (Dia page moved to gnome.org)
- update ru.po
- remove oaf-slay from pre script

* Thu May 20 2004 Vitaly Lipatov <lav@altlinux.ru> 0.93-alt1
- new version
- remove COPYING from doc

* Sun Jan 04 2004 Vitaly Lipatov <lav@altlinux.ru> 0.92-alt2
- add gcc-c++ in requires
- rebuild with gcc 3.3

* Fri Oct 24 2003 Vitaly Lipatov <lav@altlinux.ru> 0.92-alt1
- release of 0.92

* Wed Sep 24 2003 Vitaly Lipatov <lav@altlinux.ru> 0.92-alt0.2pre
- new version

* Tue Apr 01 2003 Vitaly Lipatov <lav@altlinux.ru> 0.91-alt2
- remove incorrect stylesheets.xml before build
- remove .so loading from xslt plug-in

* Tue Mar 18 2003 Vitaly Lipatov <lav@altlinux.ru> 0.91-alt1
- new version (Gnome2)
- ru.po update

* Thu Jan 30 2003 Vitaly Lipatov <lav@altlinux.ru> 0.90-alt6
- build without python support via pygtk2 problems (bug #2052)
- buildrequires update

* Mon Jan 06 2003 Vitaly Lipatov <lav@altlinux.ru> 0.90-alt5
- moved to Office/Graphs menu group
- add genericname
- built with python again

* Thu Nov 14 2002 AEN <aen@altlinux.ru> 0.90-alt4
- rebuilt in curent environment w/o python

* Mon Oct 28 2002 Vitaly Lipatov <lav@altlinux.ru> 0.90-alt3
- spec cleanup
- ru.po update
- tested with gcc-3.2

* Sun Jun 04 2002 Vitaly Lipatov <lav@altlinux.ru> 0.90-alt2
- ru.po update
- spec cleaned
- patch for old russian files detected
- NB! old files are not supported for libxml1 problem

* Mon Jun 03 2002 AEN <aen@logic.ru> 0.90-alt1
- new version
- fonts patch updated

* Wed Mar 13 2002 AEN <aen@logic.ru> 0.88.1-alt6
- crash in meny tools fixed

* Tue Jan 29 2002 AEN <aen@logic.ru> 0.88.1-alt5
- rebuilt with python-2.2.

* Fri Dec 27 2001 AEN <aen@logic.ru> 0.88.1-alt4
- builtwith python
- mdk patches

* Thu Oct 11 2001 AEN <aen@logic.ru> 0.88.1-alt3
- rebuilt with libpng.so.3
- PreReq: oaf

* Wed May 22 2001 AEN <aen@logic.ru> 0.88.1-alt2
- restore conv patch

* Wed May 22 2001 AEN <aen@logic.ru> 0.88.1-alt1
- new version

* Mon May 14 2001 AEN <aen@logic.ru> 0.88-alt1
- new version
- printing fixed

* Wed Feb 28 2001 AEN <aen@logic.ru> 0.86-ipl6mdk
- rebuild with new libraries

* Sat Jan 20 2001 AEN <aen@logic.ru>
- add missing files

* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE adaptation
- new fonts patch

* Thu Oct 26 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.86-3mdk
- recompiled with gnome-print 0.24

* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 0.86-2mdk
- Adding many icons on various format

* Mon Aug  7 2000 Vincent Saugey <vince@mandrakesoft.com> 0.86-1mdk
- Up to 0.86

* Tue Jul 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-2mdk
- macroszification
- rebuild for BM

* Fri May 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.85-1mdk
- Up to 0.85

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 0.84-6mdk
- add buildrequires libxml

* Fri May  5 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-5mdk
- Remove locale to prevent crash

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-4mdk
- Add dependencie to ISO font

* Mon Apr 17 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-3mdk
- Corrected group
- Add icon

* Mon Mar 27 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-2mdk
- add menu

* Mon Mar 07 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-1mdk
- v0.84

* Mon Jan 03 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v0.83
- used srpm provided by Gwenael Letellier <gwenael@linux-mandrake.com>

* Mon Dec 20 1999 Lenny Cartier <lenny@mandrakesoft.com>

- bz2 archive

* Fri Dec 17 1999 Frederic Lepied <flepied@mandrakesoft.com>

- 0.82
- first mandrake version.

* Sun Oct 17 1999 Miles Lott <milos@insync.net>

- Build for 0.80
- added version string to setup line

* Sun Sep 05 1999 James Henstridge <james@daa.com.au>

- added $(prefix)/share/dia to files list.

* Thu Apr 29 1999 Enrico Scholz <enrico.scholz@wirtschaft.tu-chemnitz.de>

- Made %setup quiet
- Enabled build from cvs
- Removed superfluous mkdir's
- using DESTDIR and install-strip

* Fri Aug 28 1998 Francis J. Lacoste <francis@Contre.COM>

- First RPM release.

